%undefine _debugsource_packages
%undefine _debuginfo_subpackages

#%%global dev rc1

Name:           prometheus-cpp
Summary:        Prometheus Client Library for Modern C++
Version:        1.1.0
Release:        1%{?dev:%{dev}}%{?dist}
License:        MIT
Group:          Development/Libraries
Vendor:         The prometheus-cpp authors
Url:            https://github.com/jupp0r/prometheus-cpp
Source:         prometheus-cpp-%{version}.tar.gz
#Patch0001:	0001-CMakeLists.txt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}.%{_arch}
Requires:       zlib
Requires:       libcurl
Requires:       libxcrypt
BuildRequires:  cmake
BuildRequires:  zlib-devel
BuildRequires:  libcurl-devel

%description
This library aims to enable Metrics-Driven Development for C++ services. It
implements the Prometheus Data Model, a powerful abstraction on which to
collect and expose metrics. We offer the possibility for metrics to be
collected by Prometheus, but other push/pull collections can be added as
plugins.

%package devel
Summary: Prometheus Client Library C++ header files
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for prometheus-cpp library.

%prep
%setup -q -n %{name}-%{version}
#%%patch0001 -p1

%build
%cmake -B %{_builddir} \
  -DBUILD_SHARED_LIBS=ON \
  -DENABLE_TESTING=OFF \
  -DGENERATE_PKGCONFIG=OFF \
  -DCMAKE_INSTALL_PREFIX:PATH=%{buildroot}/usr

%install
cmake --build %{_builddir} --target install

%clean

%files
%defattr(-,root,root,-)
%{_libdir}/libprometheus-cpp-*.so*
%exclude %{_prefix}/lib/*
%exclude %{_prefix}/src/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/prometheus/*
%{_libdir}/cmake/prometheus-cpp/prometheus-cpp*.cmake

%changelog
* Mon Mar 6 2023 Kaleb S. KEITHLEY <kkeithle at redhat.com> - 1.1.0-1
- prometheus-cpp 1.1.0 GA

